Subject: Re: [PATCH net-next] xsk: introduce xsk_dma_ops

From: Jakub Kicinski <[email-masked]>
Date: Fri, 21 Apr 2023 06:50:59 -0700

On Fri, 21 Apr 2023 15:31:04 +0800 Xuan Zhuo wrote:
> I am not particularly familiar with dma-bufs. I want to know if this mechanism
> can solve the problem of virtio-net.
> 
> I saw this framework, allowing the driver do something inside the ops of
> dma-bufs.
> 
> If so, is it possible to propose a new patch based on dma-bufs?

I haven't looked in detail, maybe Olek has? AFAIU you'd need to rework
uAPI of XSK to allow user to pass in a dma-buf region rather than just
a user VA. So it may be a larger effort but architecturally it may be
the right solution.